net.minecraftforge.event.terraingen

## Class DecorateBiomeEvent.Decorate

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.terraingen.DecorateBiomeEvent
    - - net.minecraftforge.event.terraingen.DecorateBiomeEvent.Decorate

- Enclosing class:
    DecorateBiomeEvent

      public static class DecorateBiomeEvent.Decorate
      extends DecorateBiomeEvent

  This event is fired when a chunk is decorated with a biome feature. You can set the result to DENY to prevent the default biome decoration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DecorateBiomeEvent.Decorate.EventType` Use CUSTOM to filter custom event types

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.DecorateBiomeEvent

      `DecorateBiomeEvent.Decorate, DecorateBiomeEvent.Post, DecorateBiomeEvent.Pre`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DecorateBiomeEvent.Decorate.EventType` | `type`

    - ### Fields inherited from class net.minecraftforge.event.terraingen.DecorateBiomeEvent

      `chunkX, chunkZ, rand, world`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecorateBiomeEvent.Decorate(World world, Random rand, int worldX, int worldZ, DecorateBiomeEvent.Decorate.EventType type)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final DecorateBiomeEvent.Decorate.EventType type

  - ### Constructor Detail

    - #### DecorateBiomeEvent.Decorate

          public DecorateBiomeEvent.Decorate(World world,
                                     Random rand,
                                     int worldX,
                                     int worldZ,
                                     DecorateBiomeEvent.Decorate.EventType type)